Anonymous Login
2019-08-22 04:57 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001272v3.0 Release[All Projects] Generalpublic2013-08-28 11:17
Reportercarlosazevedo 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001272: FIX: On task view the 'Time Worked' field does not specify the unit (hours)
DescriptionTo show 'hours' after the value do this change on the 'view.php' file on the 'tasks' module:

                    <td align="right" nowrap="nowrap"><?php echo $AppUI->_('Time Worked'); ?>:</td>
- <?php echo $htmlHelper->createCell('task_hours_worked', $obj->task_hours_worked); ?>
+ <?php echo $htmlHelper->createCell('task_hours_worked', $obj->task_hours_worked . ' ' . $AppUI->_($durnTypes[1])); ?>
                </tr>
                <tr>
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002835

caseydk (administrator)

Resolved, similar to described: https://github.com/web2project/web2project/commit/3fceb1f2626a2fac1f3fdf2df1734d918d229260

~0002841

carlosazevedo (reporter)

I thought of fixing it that way (by using the unit indicated in the task) but I believe that the time input into a log entry is always assumed to be in hours. So a task with a duration expressed in days would show a 5 hour log as 5 days.

~0002858

caseydk (administrator)

Resolved: https://github.com/web2project/web2project/commit/6509c38877e670a3f2a99dd72280f01039bb09da
+Notes

-Issue History
Date Modified Username Field Change
2013-03-04 05:17 carlosazevedo New Issue
2013-03-04 20:27 caseydk Note Added: 0002835
2013-03-04 20:27 caseydk Status new => resolved
2013-03-04 20:27 caseydk Resolution open => fixed
2013-03-04 20:27 caseydk Assigned To => caseydk
2013-03-05 00:22 carlosazevedo Note Added: 0002841
2013-03-05 00:22 carlosazevedo Status resolved => feedback
2013-03-05 00:22 carlosazevedo Resolution fixed => reopened
2013-03-16 22:55 caseydk Note Added: 0002858
2013-03-16 22:55 caseydk Status feedback => resolved
2013-03-16 22:55 caseydk Resolution reopened => fixed
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:17 caseydk Status resolved => closed
+Issue History